/*******************************************************************************
 * FoxGRI_KC generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGRI_KC extends FoxGRI_TDM
    native
    config(Game)
    hidecategories(Navigation,Movement,Collision);

// Export UFoxGRI_KC::execGetPRIThreatLevel(FFrame&, void* const)
native simulated function int GetPRIThreatLevel(FoxPRI PRI);

simulated function int GetScoreForEvent(FoxTypes.EScoreEvents EventType)
{
    switch(EventType)
    {
        // End:0x43
        case 36:
            return class<FoxScoringInfoKC>(ScoringInfoClass).default.ExpCollectYourKillTag;
            // End:0x106
            break;
        // End:0x73
        case 37:
            return class<FoxScoringInfoKC>(ScoringInfoClass).default.ExpCollectOtherKillTag;
            // End:0x106
            break;
        // End:0xA3
        case 38:
            return class<FoxScoringInfoKC>(ScoringInfoClass).default.ExpTeamCollectedTag;
            // End:0x106
            break;
        // End:0xD3
        case 39:
            return class<FoxScoringInfoKC>(ScoringInfoClass).default.ExpDenyTag;
            // End:0x106
            break;
        // End:0x103
        case 40:
            return class<FoxScoringInfoKC>(ScoringInfoClass).default.ExpTeamDeny;
            // End:0x106
            break;
        // End:0xFFFF
        default:
            return super(FoxGRI).GetScoreForEvent(EventType);
    }
    //return ReturnValue;    
}

defaultproperties
{
    ScoringInfoClass=class'FoxScoringInfoKC'
    GameTypeCode="KD"
    GameClass=class'FoxGameMP_KC'
}